clang-tools 6.0.0

Functions
clang::tidy::matchers Namespace Reference

## Functions
| AST_MATCHER (BinaryOperator, isAssignmentOperator)
| AST_MATCHER (BinaryOperator, isRelationalOperator)
| AST_MATCHER (BinaryOperator, isEqualityOperator)
| AST_MATCHER (BinaryOperator, isComparisonOperator)
| AST_MATCHER (QualType, isExpensiveToCopy)
| AST_MATCHER (RecordDecl, isTriviallyDefaultConstructible)
| AST_MATCHER_FUNCTION (ast_matchers::TypeMatcher, isReferenceToConst)

## Function Documentation

## ◆ AST_MATCHER() [1/6]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isAssignmentOperator |
| ) |  |

Definition at line 20 of file Matchers.h.

## ◆ AST_MATCHER() [2/6]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isRelationalOperator |
| ) |  |

Definition at line 24 of file Matchers.h.

## ◆ AST_MATCHER() [3/6]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isEqualityOperator |
| ) |  |

Definition at line 28 of file Matchers.h.

## ◆ AST_MATCHER() [4/6]

clang::tidy::matchers::AST_MATCHER | ( | BinaryOperator | ,
|  | isComparisonOperator |
| ) |  |

Definition at line 30 of file Matchers.h.

## ◆ AST_MATCHER() [5/6]

clang::tidy::matchers::AST_MATCHER | ( | QualType | ,
|  | isExpensiveToCopy |
| ) |  |

Definition at line 34 of file Matchers.h.

References clang::tidy::utils::type_traits::isExpensiveToCopy().

## ◆ AST_MATCHER() [6/6]

clang::tidy::matchers::AST_MATCHER | ( | RecordDecl | ,
|  | isTriviallyDefaultConstructible |
| ) |  |

Definition at line 40 of file Matchers.h.

References clang::tidy::utils::type_traits::recordIsTriviallyDefaultConstructible().

## ◆ AST_MATCHER_FUNCTION()

clang::tidy::matchers::AST_MATCHER_FUNCTION | ( | ast_matchers::TypeMatcher | ,
|  | isReferenceToConst |
| ) |  |

Definition at line 46 of file Matchers.h.